function  battle_bai012(npcID)--魔化夏侯

	
	m=flag.GetBattleValue(16001)   --回合计数
    qianlongt=flag.GetBattleValue(33351)
	hp=battle.GetSelfHP(2)
	
	if hp>65 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			id=battle.GetRndPlayer()
			battle.MagicToPlayer(id,288,1)
		elseif a>=5 and a<=7 then
			battle.MagicToPlayer(0,289,1)
		else
			battle.MagicToPlayer(0,291,1)
		end
	elseif hp>15 and hp<=65 then
	    if battle.CheckNpcStat(npcID,19)==0 and qianlongt~=1 then
		flag.SetBattleValue(33351,1)
		battle.MagicToNpc(0,3061,1)
		else
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			battle.MagicToPlayer(0,289,1)
		else
			ui.Popo_Auto(86986,1,npcID,2)--可恶！   
			global.Wait(2)
			battle.MagicToPlayer(0,290,1)
		end
		end
	else
		npc.SetAnim(npcID,11)
		camera.ChangeCameraStatic(2485,53,2453,2526,23,2366)
		global.Wait(2)
		battle.End()
	end
	
	
end